tigase.server.monitor

## Class MonitorRuntime

- java.lang.Object
- - tigase.sys.TigaseRuntime
  - - tigase.server.monitor.MonitorRuntime

-     public class MonitorRuntime
      extends TigaseRuntime

  Created: Feb 19, 2009 12:31:14 PM
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.sys.TigaseRuntime

      `HOUR, MINUTE, SECOND`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCPULoadListener(CPULoadListener cpuListener)`
    `void` | `addMemoryChangeListener(MemoryChangeListener memListener)`
    `void` | `addOnlineJidsReporter(OnlineJidsReporter onlineReporter)`
    `void` | `addShutdownHook(ShutdownHook hook)`
    `JID[]` | `getConnectionIdsForJid(JID jid)`
    `static MonitorRuntime` | `getMonitorRuntime()`
    `boolean` | `hasCompleteJidsInfo()`
    `boolean` | `isJidOnline(JID jid)`
    `boolean` | `isJidOnlineLocally(BareJID jid)`
    `boolean` | `isJidOnlineLocally(JID jid)`
    `boolean` | `isShutdownThreadDump()`
    `void` | `removeShutdownHook(ShutdownHook hook)`
    `void` | `setShutdownThreadDump(boolean shutdownThreadDump)`

    - ### Methods inherited from class tigase.sys.TigaseRuntime

      `getCPUsNumber, getCPUState, getCPUUsage, getDirectMemUsed, getGcStatistics, getHeapMemMax, getHeapMemUsage, getHeapMemUsed, getLoadAverage, getMemoryPoolMXBeans, getMemoryState, getNativeMemoryTracking, getNonHeapMemMax, getNonHeapMemUsage, getNonHeapMemUsed, getOldGenName, getOldMemPool, getProcessCPUTime, getThreadsNumber, getTigaseRuntime, getUptime, getUptimeString, main, shutdownTigase, shutdownTigase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMonitorRuntime

          public static MonitorRuntime getMonitorRuntime()

    - #### addShutdownHook

          public void addShutdownHook(ShutdownHook hook)

      Specified by:
        `addShutdownHook` in class `TigaseRuntime`

    - #### addMemoryChangeListener

          public void addMemoryChangeListener(MemoryChangeListener memListener)

      Specified by:
        `addMemoryChangeListener` in class `TigaseRuntime`

    - #### addCPULoadListener

          public void addCPULoadListener(CPULoadListener cpuListener)

      Specified by:
        `addCPULoadListener` in class `TigaseRuntime`

    - #### addOnlineJidsReporter

          public void addOnlineJidsReporter(OnlineJidsReporter onlineReporter)

      Specified by:
        `addOnlineJidsReporter` in class `TigaseRuntime`

    - #### hasCompleteJidsInfo

          public boolean hasCompleteJidsInfo()

      Specified by:
        `hasCompleteJidsInfo` in class `TigaseRuntime`

    - #### isJidOnline

          public boolean isJidOnline(JID jid)

      Specified by:
        `isJidOnline` in class `TigaseRuntime`

    - #### isJidOnlineLocally

          public boolean isJidOnlineLocally(BareJID jid)

      Specified by:
        `isJidOnlineLocally` in class `TigaseRuntime`

    - #### isJidOnlineLocally

          public boolean isJidOnlineLocally(JID jid)

      Specified by:
        `isJidOnlineLocally` in class `TigaseRuntime`

    - #### getConnectionIdsForJid

          public JID[] getConnectionIdsForJid(JID jid)

      Specified by:
        `getConnectionIdsForJid` in class `TigaseRuntime`

    - #### removeShutdownHook

          public void removeShutdownHook(ShutdownHook hook)

      Specified by:
        `removeShutdownHook` in class `TigaseRuntime`

    - #### isShutdownThreadDump

          public boolean isShutdownThreadDump()

    - #### setShutdownThreadDump

          public void setShutdownThreadDump(boolean shutdownThreadDump)

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.